com.sun.research.ws.wadl

## Enum ParamStyle

- java.lang.Object
- - java.lang.Enum<ParamStyle>
  - - com.sun.research.ws.wadl.ParamStyle

All Implemented Interfaces:
  Serializable, Comparable<ParamStyle>

    public enum ParamStyle
    extends Enum<ParamStyle>

Java class for ParamStyle.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ParamStyle">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="plain"/>
         <enumeration value="query"/>
         <enumeration value="matrix"/>
         <enumeration value="header"/>
         <enumeration value="template"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HEADER`
`MATRIX`
`PLAIN`
`QUERY`
`TEMPLATE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ParamStyle` `fromValue(String v)`
`String` `value()`
`static ParamStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParamStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PLAIN

    public static final ParamStyle PLAIN

#### QUERY

    public static final ParamStyle QUERY

#### MATRIX

    public static final ParamStyle MATRIX

#### HEADER

    public static final ParamStyle HEADER

#### TEMPLATE

    public static final ParamStyle TEMPLATE

### Method Detail

#### values

    public static ParamStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParamStyle c : ParamStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParamStyle valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### value

    public String value()

#### fromValue

    public static ParamStyle fromValue(String v)